The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgraded to PHP5 / Apache 2.2 Today - Now GD Library Doesn't Work

Discussion in 'EasyApache' started by ambition13, May 29, 2008.

  1. ambition13

    ambition13 Active Member

    Joined:
    Jan 24, 2006
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I am running

    WHM 11.23.0 cPanel 11.23.1-R24893
    CENTOS Enterprise 4.6 i686 on standard - WHM X v3.1.0

    Today I upgraded to PHP 5.2.6 and Apache 2.2 via Easy Apache. Things went much smoother than I anticipated, but I am having a few lingering issues. One is that my GD library no longer works. I am getting the error:

    Fatal error: Call to undefined function imagecreatefromjpeg() in file.php on line 56

    I have tried reinstalling php-gd via yum but for some reason it is not finding that package? As shown above I am using CentOS v4.6.

    Any ideas on this one? Thanks in advance.
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Did you install GD via EasyApache by going to Step 5, clicking Exhaustive List then checking the box for GD? If not, try that and let me know if that works :).
     
  3. ambition13

    ambition13 Active Member

    Joined:
    Jan 24, 2006
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    6
    Actually that was it. I found it right after I posted the above. The first time through I didn't look through the exhaustive list. Thanks for your help!
     
Loading...

Share This Page